QGIS Application - Bug report #15163
Digitizing: how to abort "Simplify Feature" or "Rotate Feature" tool is not that obvious
2016-06-28 12:55 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Digitising

Affected QGIS version:2.14.3 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23102
Description

When using "Simplify Feature" or "Rotate Feature" tool, user gets a dialog in which he can input some parameters to do the operation.
However | do not find obvious how | can abort the operation: closing the dialog either with the red cross in the right-top corner or by hitting
ESC does nothing, the tool remains active on the feature.

One needs to click the tool itself in order to deactivate it.

| think closing the dialog should also do the job.

Associated revisions

Revision 48284178 - 2016-06-29 08:19 PM - Martin Dobias

Cancel simplification if its dialog is closed (fixes #15163)

History

#1 - 2016-06-29 08:39 AM - Martin Dobias
- Assignee set to Martin Dobias

#2 - 2016-06-29 11:21 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"48284f7884673ff5d7939d28a8193d92590579b4".

#3 - 2016-06-29 11:22 AM - Martin Dobias

Rotate tool and offset curve tool not fixed - see #15177
